Bug 37737 - [libva]MPEG2 conformance test fail
Summary: [libva]MPEG2 conformance test fail
Status: RESOLVED FIXED
Alias: None
Product: libva
Classification: Unclassified
Component: intel (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Focus.Luo
QA Contact: Ouping Zhang
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-30 02:02 UTC by Hai
Modified: 2015-12-15 06:11 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hai 2011-05-30 02:02:34 UTC
Environment:
CPU:SNB
OS:Fedora 13 (32 bits)
Libdrm:		(master)2.4.25
Mesa:		(7.10)0309089e5a588d829624feaad42d527b010f2a5f
Xserver:		(server-1.10-branch)xorg-server-1.10.1.901
Xf86_video_intel:		(master)2.15.0-17-g9d6e02a135efdea1d169d1938359ab2b553e941c
Cairo:		(master)4d96859ba5eb6018ae257ef6bfead228583908cf
Libva:		(master)ff3569b9b27d455cfea1d7685d20aadf4a70509c
Kernel:	(drm-intel-fixes) dabc8ce34938f9fa2929f51d9fab730e78bd2184
====================================
Description:use mplayer to play a mpeg2 file and compare it with the reference decoder, the PSNR of UV is less than 45
====================================
Reproduce step:
mplayer -vo vaapi -va vaapi 1280x720p-29-97fps-16x9.mp2(dump the decoded yuv file) and compare it with simple_player.
Y-PSNR=49.99031
U-PSNR=38.91687
V-PSNR=42.05615
Comment 1 Gwenole Beauchesne 2012-03-18 07:04:56 UTC
This should be fixed nowadays, isn't it?
Comment 2 Gordon Jin 2012-10-23 05:28:25 UTC
Ouping to follow up.
Comment 3 Ouping Zhang 2012-10-23 07:56:49 UTC
(In reply to comment #1)
> This should be fixed nowadays, isn't it?

we have tested MP2 files based on gstreamer-vaapi, the bug still can reproduced, btw, some MP2 files(1280x720p-29-97fps-16x9.mp2) can't be decoded.

gst-launch-0.10 playbin2 video-sink="vaapisink sync=false" uri=file:////home/MPEG2_conformance/bitstreams/Sarnof_Streams/1280x720p-30fps-16x9.mp2

704x480p-29-97fps-16x9.mp2 YPSNR=0.993924
 
1280x720p-30fps-16x9.mp2 YPSNR=0.995926

Test criteria: YPSNR > 0.99900
Comment 4 Ouping Zhang 2012-10-24 01:13:24 UTC
I will update the comments
"704x480p-29-97fps-16x9.mp2 YPSNR=0.993924
 
1280x720p-30fps-16x9.mp2 YPSNR=0.995926

Test criteria: YPSNR > 0.99900"

decoding by HW and by SW, and compare the two way, calculate the SSIM.

704x480p-29-97fps-16x9.mp2 Y_SSIM=0.993924
 
1280x720p-30fps-16x9.mp2 Y_SSIM=0.995926

Test criteria: Y_SSIM > 0.99900

(In reply to comment #1)
> This should be fixed nowadays, isn't it?
Comment 5 Gwenole Beauchesne 2012-10-24 03:52:58 UTC
Could you please check SSIM/PSNR values for the following platforms: { GM45, ILK } + IVB? Besides, what reference software is used? ffplay or libmpeg2, for a gst pipeline? Thanks.
Comment 6 Ouping Zhang 2012-10-24 07:58:11 UTC
This results are from SNB.

decoding by HW and by SW, and compare the two way, calculate the SSIM.

704x480p-29-97fps-16x9.mp2 Y_SSIM=0.993924
 
1280x720p-30fps-16x9.mp2 Y_SSIM=0.995926

Test criteria: Y_SSIM > 0.99900

the reference software is simple_player_mpeg2, libmpeg2.
(In reply to comment #5)
> Could you please check SSIM/PSNR values for the following platforms: { GM45,
> ILK } + IVB? Besides, what reference software is used? ffplay or libmpeg2,
> for a gst pipeline? Thanks.
Comment 7 Du Yan 2012-10-24 08:56:47 UTC
The result test based on IVB is same as SNB.

And the result based on ILK is as below:

Filename                      YPSNR  
704x480p-29-97fps-16x9.mp2    0.067750        (Lost frames)
1280x720p-30fps-16x9.mp2      0.965669

1280x720p-29-97fps-16x9.mp2 can't be play on ILK by gst-vaapi too.
Comment 8 Sean V Kelley 2015-11-23 22:21:24 UTC
Is this still an issue?
Comment 9 haihao 2015-11-25 17:52:34 UTC
Hi Focus,

Could you re-test this case?

Thanks
Haihao
Comment 10 Focus.Luo 2015-12-15 06:11:55 UTC
Worked well on latest test on all supported HW platforms


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.